Bug 894909 - Kerberos user unable to log in properly
Summary: Kerberos user unable to log in properly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Authentication-Kerberos   
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
unspecified
urgent
Target Milestone: ---
: 2.1
Assignee: Carlos Munoz
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-14 00:59 UTC by Sean Flanigan
Modified: 2013-10-09 09:03 UTC (History)
1 user (show)

Fixed In Version: 2.1.1-SNAPSHOT (20130114-1031)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 07:57:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1017089 None None None Never

Description Sean Flanigan 2013-01-14 00:59:33 UTC
Description of problem:

When using Kerberos authentication (logging in as an existing user) the user is unable to perform many actions (can't edit profile, create project, etc)

Version-Release number of selected component (if applicable):
2.1.0 (20130110-0232)

How reproducible:
100%

Steps to Reproduce:
1. Log in using Kerberos
2. Visit profile page
3. Edit profile
  
Actual results:
Unexpected error. Please try again. [ Request: /error.seam?cid=63 ]

Expected results:
Edit Profile page is shown.

Additional info:

Comment 1 Carlos Munoz 2013-01-14 03:33:39 UTC
A previous revision removed a crucial part of the code that set the authenticated account as a session context variable. Returned this invocation to a more centralized place.

See:
https://github.com/zanata/zanata/commit/c83b3cf0ce723bddb9b3a8e9799c9827925afe5f

Comment 2 Ding-Yi Chen 2013-01-14 04:34:45 UTC
VERIFIED with Zanata version 2.1.1-SNAPSHOT (20130114-1031)


Note You need to log in before you can comment on or make changes to this bug.